LINUX.ORG.RU
ФорумGames

Запуск хоть какого нибудь шутера или бродилки.

 , ,


0

1

Доброго времени суток.

Есть: OS - suse 15.0 CPU - iCore 3 RAM - 12Gb Video - 6670(1024)

Как ни странно, мало что можно запустить. Из steam ничего не запускается и ошибок не выдает. Родные дрова АМД от 15 года и fglrx снят с поддрежки. Новые amdgpu-pro, так же как и Vulkan, не держат 6670. Под PlayOnLinux удалось запустить Wow3, но с жуткими тормозами и без горячих клавиш. Странно, что в некоторых программах пишет 256, а где то 1024 Мб VRAM.

Можно улучшить ситуацию?

«sudo lspci -v»

01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Turks XT [Radeon HD 6670/7670] (prog-if 00 [VGA controller])
	Subsystem: PC Partner Limited / Sapphire Technology Device e247
	Flags: fast devsel, IRQ 16
	Memory at e0000000 (64-bit, prefetchable) [size=256M]
	Memory at f7e20000 (64-bit, non-prefetchable) [size=128K]
	I/O ports at e000 [size=256]
	Expansion ROM at 000c0000 [disabled] [size=128K]
	Capabilities: [50] Power Management version 3
	Capabilities: [58] Express Legacy Endpoint, MSI 00
	Capabilities: [a0] MSI: Enable- Count=1/1 Maskable- 64bit+
	Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
	Capabilities: [150] Advanced Error Reporting
	Kernel modules: radeon

/var/log/Xorg.0.log

[    59.620] (II) Loading /usr/lib64/xorg/modules/libvbe.so
[    59.626] (II) Module vbe: vendor="X.Org Foundation"
[    59.626]    compiled for 1.19.6, module version = 1.1.0
[    59.626]    ABI class: X.Org Video Driver, version 23.0
[    59.626] (II) Loading sub module "int10"
[    59.626] (II) LoadModule: "int10"
[    59.626] (II) Loading /usr/lib64/xorg/modules/libint10.so
[    59.634] (II) Module int10: vendor="X.Org Foundation"
[    59.634]    compiled for 1.19.6, module version = 1.0.0
[    59.634]    ABI class: X.Org Video Driver, version 23.0
[    59.634] (II) VESA(0): initializing int10
[    59.636] (II) VESA(0): Primary V_BIOS segment is: 0xc000
[    59.636] (II) VESA(0): VESA BIOS detected
[    59.636] (II) VESA(0): VESA VBE Version 3.0
[    59.636] (II) VESA(0): VESA VBE Total Mem: 16384 kB
[    59.636] (II) VESA(0): VESA VBE OEM: AMD ATOMBIOS
[    59.636] (II) VESA(0): VESA VBE OEM Software Rev: 13.12
[    59.636] (II) VESA(0): VESA VBE OEM Vendor: (C) 1988-2010, AMD Technologies$
[    59.636] (II) VESA(0): VESA VBE OEM Product: TURKS
[    59.636] (II) VESA(0): VESA VBE OEM Product Rev: 01.00
[    59.669] (II) VESA(0): Creating default Display subsection in Screen section
        "vesa" for depth/fbbpp 24/32
[    59.669] (==) VESA(0): Depth 24, (--) framebuffer bpp 32
[    59.669] (==) VESA(0): RGB weight 888
[    59.669] (==) VESA(0): Default visual is TrueColor
[    59.669] (==) VESA(0): Using gamma correction (1.0, 1.0, 1.0)
[    59.669] (II) Loading sub module "ddc"
[    59.669] (II) LoadModule: "ddc"
[    59.669] (II) Module "ddc" already built-in

P.S. Странно, что тег cut не работает (

Это затычка: https://gpu.userbenchmark.com/Compare/AMD-Radeon-HD-6670-vs-AMD-HD-5750/m7738vsm7753 даже 5750 из 2010 года, которая в те времена стоила 120 баксов в среднем быстрее на треть.

amdgpu-pro

Драйвера для не самых старых GCN карт, а у тебя вообще Terascale.

Пользуйся открытыми дровами mesa, у меня они работали хорошо. И наверное пробуй gallium nine, это реализация directх9, никаких слоев трансляции.

anonymous ()

https://wiki.gentoo.org/wiki/Radeon

Смотри, твоя карта поддерживается драйвером Radeon, поставь драйвер и пакет с прошивками.

anonymous ()

Вся нужная информация по драйверам выводится командой glxinfo | grep OpenGL, вот её вывод сюда кинь.

anonymous ()

(II) VESA(0)

У тебя используется драйвер VESA, а надо использовать radeon. Поправь xorg.conf

gremlin_the_red ★★★★★ ()

Конечно, попробуйте вот эту https://github.com/farbrausch/fr_public/tree/master/werkkzeug3_kkrieger

Только убедитесь, что соотвествует системным требованиям, это «минималки»:

A 1.5GHz pentium 3 / athlon or faster.
512MB of RAM.
a GeForce4Ti (or higher) or ATI Radeon8500 (or higher) graphics card supporting pixel shaders 1.3, preferably with 128MB or more of VRAM.
some kind of sound hardware.
DirectX 9.0b.
linuxnewbie ()

Спасибо за замечательные советы и скорость ответа. По порядку.

1. Зытчка какая есть. amdgpu-pro не держит эту карту https://www.amd.com/ru/support/kb/release-notes/rn-rad-lin-18-50-unified

2. mesa пробовал, но так и не ясно начали работать или нет, так как разницы не было видно, как и понять что они заменили прежний драйвер.

3. Gallium nine через wine не помог. Скорее всего по причинам выше сказанным. Для suse отдельного пакета нет.

4. Драйвер radeon. Хорошая статья для gentoo, но мало подходящая для suse. Прошивки в системе есть. Часть команд удалось выполнить. Пробую разбираться.

5. glxinfo | grep OpenGL

OpenGL vendor string: VMware, Inc.
OpenGL renderer string: llvmpipe (LLVM 5.0, 256 bits)
OpenGL core profile version string: 3.3 (Core Profile) Mesa 18.0.2
OpenGL core profile shading language version string: 3.30
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile
OpenGL core profile extensions:
OpenGL version string: 3.0 Mesa 18.0.2
OpenGL shading language version string: 1.30
OpenGL context flags: (none)
OpenGL extensions:
OpenGL ES profile version string: OpenGL ES 3.0 Mesa 18.0.2
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.00
OpenGL ES profile extensions:

6. xorg.conf пробовал его как то править, после чего пришлось руками вырезать куски, загрузившись без GUI, так как не нашел вменяемой статьи по настройке в моём случае.

7. xf86-video-ati этот пакет поставлен, но работает он или нет не знаю.

No update candidate for 'xf86-video-ati-18.0.1-lp150.1.1.x86_64'. The highest available version is already installed.

8. werkkzeug3 kkrieger. Преклоняюсь перед творчеством талантливых людей. Обязательно поставлю.

Пока читал и изучал материалы, задался вопросом, как узнать какой драйвер активен? Так как в систему одновременно установлено несколько драйверов xf86, mesa, amdgpu-pro.

P.S. 9. Спасибо за ссылку на ленту, много интересного и забавного. 10. Сталкеры в городе есть, но их нет в моей деревне. Тем более для этого здоровье нужно. Мне школы хватает с полным погружением)

stslit ()

Признавайся, ты fglrx пробовал ставить насильно, или нет? Если пробовал, поздравляю, ты все сломал. Корректно удалить его сможет не каждый, особенно если он поставился с ошибками.

Khnazile ★★★★★ ()
Ответ на: комментарий от Khnazile

Признаюсь! скорее всего ставил насильно еще в версии 42.3. Потом переезжал на 15.0. Может и тут ставил его, но уже не помню.

Если есть ссылка как это проверит и удалить на статью буду признателен.

P.S. zypper up

The following 19 package updates will NOT be installed:
  amdgpu dkms gnuchess libgif7 libjsoncpp19 libluajit-5_1-2 libopenal1
  libopusfile0 libqqwing2 libSDL-1_2-0 libSDL2-2_0-0 libSDL_gfx15
  libSDL_image-1_2-0 libSDL_mixer-1_2-0 libSDL_net-1_2-0 libSDL_Pango1
  libSDL_sound-1_0-1 libSDL_ttf-2_0-0 yast2-pkg-bindings

stslit ()
Ответ на: комментарий от stslit

Я уже не помню, как его удалять правильно, т.к. не пользовался им года, наверное с 14. Но проблема в том, что fglrx, будучи установленным через run-скрипт может заменять системные библиотеки. Плюс ко всему, он отключает другие драйверы, ищи в /etc/modprobe.d файл, который блэклистит модуль radeon. Он может быть не один. Когда найдешь, удали все строчки «blacklist radeon». После этого перезагружайся, в теории ядро должно загрузить нужные модули.
Далее, проверяй наличие файла /etc/X11/xorg.conf. Его быть не должно, fglrx мог его создать. Еще хорошо бы в /etc/xorg.conf.d/ проверить, чтобы небыло файлов, которые пытаются грузить fglrx.
Если с библиотеками все в порядке, выхлоп glxinfo должен измениться.

Да, fglrx создает скрипт для деинсталяции себя, перед всеми манипуляциями сначала нужно запустить его. Как он называется и где его найти я не помню.

Khnazile ★★★★★ ()
Последнее исправление: Khnazile (всего исправлений: 1)
Ответ на: комментарий от stslit

OpenGL renderer string: llvmpipe (LLVM 5.0, 256 bits)

Это исполнение OpenGL на процессоре, программная эмуляция. Если у тебя компиз включен, а он ускоряется через OGL, то даже интерфес должен тормозить.

Должно быть что-то вроде:

OpenGL renderer string: AMD Radeon (TM) RX 470 Graphics (POLARIS10 / DRM 3.23.0 / 4.15.0-47-generic, LLVM 6.0.0)

Т.е. название GPU, а не llvmpipe или softpipe.

amdgpu-pro.

Не ставь, бесполезно, это для новых видеокарт на архитектуре GCN, у тебя в GPU архитектура более античная. Только mesa.

Единственное что можно однозначно сказать, что mesa установлена. Теперь нужно убедится что drm radeon используется в ядре.

lspci -k | grep -A 3 VGA
Должно вернуть что-то вроде этого:
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] (rev cf)
	Subsystem: ... Radeon ...
	Kernel driver in use: radeon
	Kernel modules: radeon
Убедись что radeon не в блеклесте, наверное так:
grep -ir "radeon" /etc/modprobe.d/ 
Закоменть строку если вернет
blacklist radeon

Aber ★★★★★ ()

стим в топку! dosbox - сила! гуглишь wolfenstein3d и будет тебе бродилка! существует дофига прикольных игр в dos-формате и все они будут работать на самом убогом железе!

amd_amd ★★★★ ()
Ответ на: комментарий от amd_amd

При чём здесь это, у него драйвер в xorg-server используется VESA, по крайней мере в том куске лога, что он показал.

Драйвер radeon должен работать на его карте.

И не такая она уж старая и убогая, в современные игры, конечно, не поиграешь, но что-то уровня 2010-2012 (2014) года вполне можно.

anonymous ()
Ответ на: комментарий от stslit

Зытчка какая есть

У тебя там по идее должна ещё быть интегрированная затычка от интеля. Она конечно сосёт, но походу текущая затычка сосёт ещё круче

MrClon ★★★★★ ()

Ставь обычный Radeon драйвер с поставки mesa и сноси fglrx этот, он разве что для opencl нужен для «старых» карт, у меня Radeon hd 6850 104 игры из стима csgo/dota/TF2/Portal2/SOMA/Valery/сиськажопарасхитительница гробниц (кроме той что на вулкане) и херова туча других игр просто летает, раньше вайн держал ещё для штук 50 игр сайлент хилы всякие и прочее сейчас как там не знаю. Но одно точно поставь сейчас я fglrx из всего этого заведётся половина, и может парочку будет играбельным. Такие дела.

Deleted ()

suse 15.0

просто поставь вместо этого лтс убунту

smilessss ★★★★★ ()

Судя по тому, что в логе «иксов» у тебя не RADEON, а VESA, у тебя не работает аппаратное 3D-ускорение, а вместо него работает программное. По какой-то причине не запустилась «иксовая» часть драйвера Radeon. Может, ты прописал параметр ядра nomodeset при загрузке?

Что касается проприетарного драйвера fglrx. Ты можешь запустить Steam в Ubuntu 15.10 - последняя версия Ubuntu, в которой работает fglrx. А по этой инструкции можно сделать fglrx в Ubuntu 16.04: https://www.opennet.ru/tips/2977_ubuntu_amd_driver_install_fglrx_amdgpu.shtml А если надо именно openSUSE, то 13.1 (возможно что получится запустить в Leap 42.1, если получится пропатчить «обвязку» для модуля ядра fglrx для поддержки ядра Linux 4.4)

ZenitharChampion ★★★★★ ()
Последнее исправление: ZenitharChampion (всего исправлений: 1)

Нужен «radeon» модуль ядра, amdgpu эта затычка не поддерживает. И mesa вместе с 32-битным вариантом. Соответственно, amdgpu отправить в блэклист.

https://wiki.archlinux.org/index.php/ATI

xDShot ★★★★★ ()
Последнее исправление: xDShot (всего исправлений: 1)
Ответ на: комментарий от Aber

В пятницу опрометчиво удалил xorg.conf система не смога запустить иксы. Добрался до комп сегодня. Сейчас такой результат:

sudo lspci -k | grep -A 3 VGA

01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Turks XT [Radeon HD 6670/7670]
	Subsystem: PC Partner Limited / Sapphire Technology Device e247
	Kernel modules: radeon
01:00.1 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] Turks HDMI Audio [Radeon HD 6500/6600 / 6700M Series]

flxgears теперь показывают не 800 fps, а 250. Wow3 перестал тормозить даже на максимуме.

У меня есть 6800GS, как же её назвать). Нашел в соседнем городе 7770, если только по почте заказывать.

Стим не запускает приложения. Видно что мелькает окно, но сразу закрывается. В логах жалуется на

Invalid MIT-MAGIC-COOKIE-1
Unable to preload the following plugins:
	ScreenSelector.so
	libCSteamworks.so
	libeasyanticheat.so
	libsteam_api.so
	libaudiopluginresonanceaudio.so
	libwidevinecdmadapter.so
Но это уже мелочи. Можно разобраться.

Спасибо всем откликнувшимся за полезные рекомендации!

stslit ()
Ответ на: комментарий от stslit

Забавно. Здесь видит как VM Ware

glxinfo | grep OpenGL

Invalid MIT-MAGIC-COOKIE-1 keyOpenGL vendor string: VMware, Inc.
OpenGL renderer string: llvmpipe (LLVM 7.0, 256 bits)
OpenGL core profile version string: 3.3 (Core Profile) Mesa 18.2.0-rc3
OpenGL core profile shading language version string: 3.30
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile
OpenGL core profile extensions:
OpenGL version string: 3.1 Mesa 18.2.0-rc3
OpenGL shading language version string: 1.40
OpenGL context flags: (none)
OpenGL extensions:
OpenGL ES profile version string: OpenGL ES 3.0 Mesa 18.2.0-rc3
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.00
OpenGL ES profile extensions:

stslit ()
Ответ на: комментарий от stslit

Видеодрайвер не работает, всё рисуется процессором.

anonymous ()
Ответ на: комментарий от stslit

Ну вообще можно было бы загрузится с livecd/usb, убедится что glxinfo показывает там не llvmpipe а название gpu и попытаться найти разницу с текущем дистрибутивом, в модулях ядра, в логе dmesg касательно gpu, а потом, если не очевидна проблема, уже переставлять.

anonymous ()
Ответ на: комментарий от anonymous

Спасибо за рекомендацию, но для этого нужно много времени.

Вот такое при запуске системы и при вызове команды: dmesg | grep -E 'drm|radeon' | grep -iE 'firmware|microcode'

[    3.199486] [drm] Loading TURKS Microcode
[    3.199497] radeon 0000:01:00.0: Direct firmware load for radeon/TURKS_pfp.bin failed with error -2
[    3.199499] ni_cp: Failed to load firmware "radeon/TURKS_pfp.bin"
[    3.199553] [drm:evergreen_init [radeon]] *ERROR* Failed to load firmware!

Буду писать баг репорт. Там видно будет, так как подобные проблемы возникают у многих. Причем? файлы прошивок на месте и пользователь добавлен в группу video, все прочие дова на месте.

stslit ()
Ответ на: комментарий от stslit

Ну чё, приётся идти в магазин за печ 1650. Амд не для линукса.

anonymous ()
Ответ на: комментарий от stslit

ls /lib/firmware/radeon | grep TU*.*

BARTS_mc.bin
BARTS_me.bin
BARTS_pfp.bin
BARTS_smc.bin
BTC_rlc.bin
PITCAIRN_ce.bin
PITCAIRN_mc2.bin
PITCAIRN_mc.bin
PITCAIRN_me.bin
PITCAIRN_pfp.bin
PITCAIRN_rlc.bin
PITCAIRN_smc.bin
TAHITI_ce.bin
TAHITI_mc2.bin
TAHITI_mc.bin
TAHITI_me.bin
TAHITI_pfp.bin
TAHITI_rlc.bin
TAHITI_smc.bin
TAHITI_uvd.bin
TAHITI_vce.bin
TURKS_mc.bin
TURKS_me.bin
TURKS_pfp.bin
TURKS_smc.bin

stslit ()
Ответ на: комментарий от stslit

Если у тебя модуль radeon.ko находится в initramfs и соответственно оттуда и грузится, то прошивки (firmware) должны находится в момент загрузки модуля radeon.ko в initramfs.

Распакуй Initramfs и посмотри есть ли там модулья ядра radeon.ko и если есть, то есть ли там прошвик в /lib/firmware/radeon, я говорю именно об initramfs.

Если модуль есть, а прошивок нет, то либо сам после распаковки initramfs скопируй в распакованный Initramfs файлы прошивок, а потом запокуй его, положи в /boot рядом и попробуй загрузиться с ним, либо разберись как пересобрать initramfs, что бы там были прошивки средствами дистрибутива.

Либо попробуй удалить наоборот модуль radeon.ko из состава Initramfs и собрать его без модуля, что бы модуль ядро грузило уже на этапе после монтирования корня.

Но я бы всё же посоветовал грузить модуль и firmware из initramfs.

anonymous ()
Ответ на: комментарий от anonymous

разберись как пересобрать initramfs, что бы там были прошивки средствами дистрибутива

suse

su
mkinitrd

anonymous ()
Ответ на: комментарий от anonymous

Ты уверен, может быть там иначе.

Плюс, возможно нужно так же настроить и включение firmware в состав initramfs.

Ну и для надёжности все равно нужно бы распаковать initramfs и проверить есть ли там файлы прошивок для Радеон или нет.

anonymous ()
Ответ на: комментарий от anonymous

initramfs нет в наличии, зато есть initrd, но не могу его распаковать. Есть файлы vmlinux с конфигами, где есть строка

# CONFIG_FB_RADEON is not set

Какая либо ссылка по сборке initrd с ключами и для suse?

Есть такая ошибка, но все файлы на месте.

    dracut: Possible missing firmware "radeon/TURKS_smc.bin" for kernel module "radeon.ko"
    dracut: Possible missing firmware "radeon/TURKS_mc.bin" for kernel module "radeon.ko"
    dracut: Possible missing firmware "radeon/TURKS_me.bin" for kernel module "radeon.ko"
    dracut: Possible missing firmware "radeon/TURKS_pfp.bin" for kernel module "radeon.ko"
    dracut: Possible missing firmware "radeon/BTC_rlc.bin" for kernel module "radeon.ko"

stslit ()
Ответ на: комментарий от stslit

initramfs нет в наличии, зато есть initrd, но не могу его распаковать.

Это одно и тоже.

Есть файлы vmlinux с конфигами, где есть строка CONFIG_FB_RADEON

Это опция поодержки FrameBuffer в консоли для драйвер radeon, она нам не интересна.

Есть такая ошибка, но все файлы на месте.

    dracut: Possible missing firmware "radeon/TURKS_smc.bin" for kernel module "radeon.ko"
    dracut: Possible missing firmware "radeon/TURKS_mc.bin" for kernel module "radeon.ko"
    dracut: Possible missing firmware "radeon/TURKS_me.bin" for kernel module "radeon.ko"
    dracut: Possible missing firmware "radeon/TURKS_pfp.bin" for kernel module "radeon.ko"
    dracut: Possible missing firmware "radeon/BTC_rlc.bin" for kernel module "radeon.ko"

Файлы на месте в корневой файловой системе, а в Initramfs (initrd) их, скорее всего нет.

Ты понимаешь как запускается Linux?

В большинстве дистрибутивов ядро собирается таким образом, что драйвер контроллера жёстких дисков, AHCI или другой в зависимости от контроллера, собран модулем, драйвер корневой файловой системы, ext4 или другой, собран тоже модулем. И как следствие если грузить только ядро, то оно не сможет смонтировать корневую файловую систему, вот для этого и используется initramfs (initrd).

Так же в Initramfs (initrd) может находиться и модуль с драйвером для видео карты, но если говорить о драйвере radeon, то для его работы нужно загружать соответствующие файлы прошивок firmware и как следствие прошивки должны быть доступны во время загрузки модуля. Т.е. он должен быть в initramfs (initrd).

но не могу его распаковать

Что бы распаковать Initramfs (initrd) нужно выполнить примерно вот такие команды: Не могу распаковать ramdisk (комментарий)

Но файл может быть запакован и не gzip, а другим архиватором, поэтому в начале вызови утилиту file и посмотри что она скажет о типе архиватора.

file /boot/initrd

Вот распакуй и посмотри есть ли там файлы прошивок.

Но т.к. у тебя в выводе сообщения об ошибке написано

dracut ....
То могу сказать почти со 100% уверенностью, что там нет указанных файлов, т.к. dracut - это как раз таки один из генераторов initramfs.

Ты можешь распаковать initramfs (initrd), скопировать туда файлы прошивок и запаковать обратно, положив его рядом и загрузившись с ним.

Ну либо, вот https://ru.opensuse.org/SDB:Сборка_ядра_Linux

вроде бы действительно mkinitrd создаёт initramfs (initrd) образ.

Но, что бы удостовериться, что в нём действительно есть нужны файлы прошивок его лучше распаковать и посмотреть.

anonymous ()
Ответ на: комментарий от anonymous

Распаковка

mkdir /tmp/initrd
cd /tmp/initrd
gunzip -c <path>/150-recovery.img-ramdisk.gz | cpio -i -d -H newc --no-absolute-filenames
Запаковка
cd /tmp/initrd
find . | cpio -o -H newc | gzip -9 > <path>/150-recovery.img-ramdisk_new.gz
Но вместо gzip может быть другой архиватор.

anonymous ()
Ответ на: комментарий от anonymous

suse

su
mkinitrd

Ты уверен, может быть там иначе.

В SUSE это делается одной командой. Не надо писать кучу параметров, как в Debian. Во всяком случае, так было раньше

anonymous ()
Ответ на: комментарий от anonymous

Спасибо. Теория мне известна, но на практике не пробовал. Есть повод. Файл упакован xz. Распаковал, создал соответствующие папки и закинул файлы. Обратно запаковать пока не получилось

xz -cvf init  /initrd-4.20/
xz: Compressed data cannot be written to a terminal
Из иксов, так же пишет ошибку без пояснений «An error occurred while adding files to the archive»

Завтра попробую другие варианты упаковки.

stslit ()
Ответ на: комментарий от anonymous

Есть какие то ключи для mkinitrd, чтобы включить файлы прошивки? Так как ключей разных много.

stslit ()

Обнови видюху до 7850 хотя бы, и сможешь поиграть.

Deleted ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.